Package com.enonic.xp.content

## Class ContentAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.enonic.xp.exception.BaseException
        - - com.enonic.xp.content.ContentAccessException

- All Implemented Interfaces:
    `Serializable`

      @PublicApi
      public final class ContentAccessException
      extends BaseException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentAccessException​(NodeAccessException nodeAccessException)` |
    `ContentAccessException​(User user, ContentPath contentPath, Permission permission)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentPath` | `getContentPath()` |
    `Permission` | `getPermission()` |
    `User` | `getUser()` |

    - ### Methods inherited from class com.enonic.xp.exception.BaseException

      `getCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentAccessException

          public ContentAccessException​(NodeAccessException nodeAccessException)

    - #### ContentAccessException

          public ContentAccessException​(User user,
                                        ContentPath contentPath,
                                        Permission permission)

  - ### Method Detail

    - #### getUser

          public User getUser()

    - #### getContentPath

          public ContentPath getContentPath()

    - #### getPermission

          public Permission getPermission()